Subject: Re: bug#35541: Installer does not add %base-packages

From: Ludovic Courtès <[email-masked]>
Date: Fri, 03 May 2019 13:59:13 +0200

Hello,

I’d like us to better estimate the impact, communicate about
workarounds, and have a bug-fix release plan.

Like I wrote, in a bare-bones installation, Coreutils & co. are missing,
but one can work around it by running, say:

  guix install coreutils grep sed findutils

(Programs like ‘sudo’ and ‘passwd’ are available despite the bug because
they are in /run/setuid-programs.)

Has anyone tried on a GNOME, Xfce, or ratpoison install?  I wonder if
the problem is visible there (until you open a terminal, that is.)

I think we should email [email-masked] and possibly write a post on
the blog within at most two days with an explanation of the issue,
workarounds, proper fix (which is to edit the config file and
reconfigure), and an ETA for the bug-fix release.

Thoughts?

Ludo’.